[ Maverik Level 2 typedefs ]

#

MAV_avatar

## Summary

Avatar

## Syntax

    typedef struct {
      MAV_avatarPart *root;
      MAV_avatarPart *part[19];
      MAV_surfaceParams *sp[5];
      int movement;
      float speed;
      float offset;
      int animFromMat;
      int animate;
      int move;
      MAV_timer timer;
      float time;
      float last_time;
      MAV_vector last_pos;
      MAV_matrix vertical;
      MAV_matrix rotation;
      MAV_matrix matrix;
      MAV_vector right_hand;
      MAV_vector left_hand;
      int holding_right;
      int holding_left;
      MAV_surfaceParams *laser_sp;
      void *userdef;
    } MAV_avatar;

## Description

Back to the index page.